import type { AstroConfig, RuntimeMode } from '../@types/astro';
import type { AstroRuntime } from '../runtime';
import type { LogOptions } from '../logger';
interface CollectDynamic {
    astroConfig: AstroConfig;
    resolve: (s: string) => Promise<string>;
    logging: LogOptions;
    mode: RuntimeMode;
}
/** Gather necessary framework runtimes for dynamic components */
export declare function collectDynamicImports(filename: URL, { astroConfig, logging, resolve, mode }: CollectDynamic): Promise<Set<string>>;
interface BundleOptions {
    runtime: AstroRuntime;
    dist: URL;
    astroConfig: AstroConfig;
}
/** The primary bundling/optimization action */
export declare function bundle(imports: Set<string>, { runtime, dist }: BundleOptions): Promise<void>;
export {};
