const characterReferences = {
    '"': 'quot',
    '&': 'amp',
    '<': 'lt',
    '>': 'gt',
    '{': 'lbrace',
    '}': 'rbrace',
};
/** Encode HTML entity */
function encode(value) {
    return value.replace(/["&<>{}]/g, (raw) => {
        return '&' + characterReferences[raw] + ';';
    });
}
/** Encode Markdown node */
function encodeToken() {
    const token = arguments[0];
    const value = this.sliceSerialize(token);
    this.raw(encode(value));
}
const plugin = {
    exit: {
        codeTextData: encodeToken,
        codeFlowValue: encodeToken,
    },
};
export { plugin as encodeMarkdown };
